# Advanced options

## `extends`

New in version 4.1.

Type: `String` | Multiple: `Yes`

This option allows one to inherit configuration from other sections or build environments in “platformio.ini” (Project Configuration File). Multiple items are allowed, split them with `,` or with a new line.

If you need to extend only a few options from some section, please take a look at Dynamic variables.

Example:

    [strict_ldf]
    lib_ldf_mode = chain+
    lib_compat_mode = strict

    [espressi32_base]
    platform = espressif32
    framework = arduino

    [env:release]
    extends = espressi32_base, strict_ldf
    board = esp32dev
    build_flags = -D RELEASE

    [env:debug]
    extends = env:release
    build_type = debug
    build_flags = -D DEBUG

## `extra_scripts`

Type: `FilePath` | Multiple: `Yes`

A list of PRE and POST extra scripts.

See details and examples in Advanced Scripting section.

If you plan to share these scripts with PIO Remote machine, please put them to shared_dir.